Skip to main content
POST
/
log
/
audit
/
list
List Audit Log
curl --request POST \
  --url https://cloud.cdata.com/api/log/audit/list \
  --header 'Authorization: Basic <encoded-value>'
{
  "events": [
    {
      "eventType": 1003,
      "timestamp": "2025-08-18T17:07:07.3673862Z",
      "targetId": "aaa96669-74c8-480f-a8c1-7956979cbee9",
      "targetName": "PostgreSQL1",
      "targetType": 1,
      "userId": "6b8d5c25-cdc1-4b0c-b9f1-5b26647a8240",
      "userName": "User1",
      "userType": 0
    },
    {
      "eventType": 1107,
      "timestamp": "2025-08-13T21:20:08.4380865Z",
      "relatedId": "4780a367-2ba0-4b73-b086-b0d964323032",
      "relatedName": "Mcp",
      "relatedType": 4,
      "targetId": "a41dd9b5-1ed6-54d9-b5e5-2754e4a29deb",
      "targetName": "test@cdata.com",
      "targetType": 2,
      "userId": "a41dd9b5-1ed6-54d9-b5e5-2754e4a29deb",
      "userName": "User2",
      "userType": 0
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Authentication with username and password. Use your PAT as the password. You can get your PAT from Connect AI by selecting Settings > Access Tokens.

Query Parameters

startTime
string<date-time>

Timestamp in UTC (ISO 8601 format). Example: "2025-08-18T00:00:00Z"

endTime
string<date-time>

Timestamp in UTC (ISO 8601 format). Example: "2025-08-18T23:59:59Z"

Response

200 - application/json

OK

events
object[] | null